Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#864 Choose application window empty

1.2
closed
None
5
2014-12-09
2014-05-05
treddel23
No
  1. Right click on a file/folder
  2. Open With -> Open With

The resulting window where you can normally choose your desired application is empty for me. See the attachment. I am using the latest -git pull.

Any idea why this is broken?

Thank you!

1 Attachments

Discussion

  • I think it is a problem with the desktop menu. You can check by visiting Applications folder in PCManFM since this mentioned widget uses the same applications list as Applications folder. Check that, please. Thank you.

     
    • Group: 1.3 --> 1.2
     
  • treddel23
    treddel23
    2014-05-05

    I am not sure if I understand you correctly.

    You mean I should visit /usr/share/applications?

    The applications exist in there.

     
    Attachments
  • No. I meant exactly Applications virtual folder - it is available either in Places sidebar, or via menu: 'Go' -> 'Applications'. It should be never empty.

     
  • treddel23
    treddel23
    2014-05-06

    Sorry to say, but it is indeed empty.

     
  • It's indeed problem with system menu. I suspect that your panel does not show applications menu as well. I would like to see values of XDG_CURRENT_DESKTOP and XDG_MENU_PREFIX environment variables when you start pcmanfm and also listing of ~/.config/menus and /etc/xdg/menus folders.
    Thank you.

     
  • treddel23
    treddel23
    2014-05-11

    I want to highlight that I am not using LXDE. I use pcmanfm in combination with a plain Openbox session.

    I guess this is the reason why $XFG_CURRENT_DESKTOP and $XDG_MENU_PREFIX is empty:

    ~ echo $XDG_CURRENT_DESKTOP

    ~ echo $XDG_MENU_PREFIX

    And here the listing of the menus folders:

    ~ l .config/menus
    total 8
    lrwxrwxrwx 1 treddel users 48 2013-10-11 10:09:56.075184875 +0200 cinnamon-applications-merged -> /home/treddel/.config/menus/applications-merged
    -rw-r--r-- 1 treddel users 2415 2013-10-11 14:19:15.651842086 +0200 cinnamon-applications.menu
    lrwxrwxrwx 1 treddel users 19 2013-10-12 07:33:58.817377593 +0200 gnome-applications-merged -> applications-merged
    drwxr-xr-x 2 treddel users 4096 2014-04-06 10:10:40.367833389 +0200 applications-merged
    ~ l .config/menus
    total 8
    lrwxrwxrwx 1 treddel users 48 2013-10-11 10:09:56.075184875 +0200 cinnamon-applications-merged -> /home/treddel/.config/menus/applications-merged
    -rw-r--r-- 1 treddel users 2415 2013-10-11 14:19:15.651842086 +0200 cinnamon-applications.menu
    lrwxrwxrwx 1 treddel users 19 2013-10-12 07:33:58.817377593 +0200 gnome-applications-merged -> applications-merged
    drwxr-xr-x 2 treddel users 4096 2014-04-06 10:10:40.367833389 +0200 applications-merged
    ~ l /etc/xdg/menus
    total 12
    -rw-r--r-- 1 root root 10278 2013-10-15 18:48:37.000000000 +0200 gnome-applications.menu
    ~

    The cinnamon and gnome entries are still leftovers from previous DE use, I guess.

     
  • Well, in that case you simply don't have any system menu configured. To solve the issue you need to use some. You can either use your leftovers (in this case set XDG_MENU_PREFIX either to "cinnamon-" or to "gnome-") or install lxde menus by installing lxmenu-data package (in this case missing XDG_MENU_PREFIX will be assumed "lxde-"). If you will have superfluous items in menu it might be helpful to set XDG_CURRENT_DESKTOP to "LXDE", that will remove applications that have no use with LXDE from menu - it is in fact the best choice with plain Openbox session.

     
    Last edit: Lonely Stranger 2014-05-11
  • treddel23
    treddel23
    2014-05-11

    Strangely it still does not work. I already had gnome-menus installed. Furthermore I did this:

    (1/1) installing lxmenu-data [############################] 100%
    ~ XDG_CURRENT_DESKTOP="LXDE"
    ~ XDG_MENU_PREFIX="gnome"

    But the open-with window remains empty, even on restart of pcmanfm.

    Am I missing something else?

    Thanks a lot for your advice!

     
  • XDG_MENU_PREFIX should contain hyphen, i.e. not "gnome" but "gnome-", or just unset - libfm will use "lxde-" by default.

     
  • treddel23
    treddel23
    2014-05-11

    Finally, it is working! :)

    I know use:

        export XDG_MENU_PREFIX=lxde-
        export XDG_CURRENT_DESKTOP=LXDE
    

    Plus, I uninstalled gnome-menus and only use lxmenu-data

    I think, lxmenu-data should be made an optional dependency, correct?

    So far only gnome-menus is mentioned as an optional dependency:

    https://aur.archlinux.org/packages/pc/pcmanfm-git/PKGBUILD

     
    Attachments
    • status: open --> closed
    • assigned_to: Lonely Stranger
     
  • I'm glad your issue is resolved. Closing the ticket then.

    About your optional dependency packages - I think you are completely right on that and lxmenu-data should be put there instead of gnome-menus. I think you should request to fix that from Arch maintainers, and I see you've done that already. Thank you. :)

     
  • alister.hood
    alister.hood
    2014-12-09

    Now we have both lxmenu-data and gnome-menus as optional dependencies in at least some of our current packages. But pcmanfm (and lxpanel) doesn't seem to recognise any XDG_MENU_PREFIX other than lxde- (I tried gnome-, mate- and Arch- with appropriate packages installed), so I think there is actually a bug... or is everything else really broken?

     
  • alister.hood
    alister.hood
    2014-12-09

    Sorry, just realised this is a slightly different issue - it currently works fine if those two XDG... variables aren't set at all - it just doesn't work if they are set to something other than lxde-.